## network-manager 1.42.4

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('nft', type: 'string', value: '', description: 'path to nft')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['upower', 'systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'boolean', value: true, description: 'User auth-polkit configuration option.')
option('config_auth_polkit_default', type: 'combo', choices: ['default', 'true', 'false', 'root-only'], value: 'default', description: 'Default value for configuration main.auth-polkit.')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent_helper_1', type: 'string', value: '', description: 'Path name to the polkit-agent-helper-1 binary from polkit')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('config_wifi_backend_default', type: 'combo', choices: ['default', 'wpa_supplicant', 'iwd'], value: 'default', description: 'Default value for wifi.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('mobile_broadband_provider_info_database', type: 'string', value: '', description: 'path to the mobile-broadband-provider-info database')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('nm_cloud_setup', type: 'boolean', value: false, description: 'Build nm-cloud-setup, a tool for automatically configure networking in cloud (EXPERIMENTAL!)')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
option('ebpf', type: 'combo', choices: ['auto', 'true', 'false'], description: 'Enable eBPF support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ifcfg_rh', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
option('ifupdown', type: 'combo', choices:['auto', 'true', 'false'], value: 'auto', description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['auto', 'symlink', 'file', 'netconfig', 'resolvconf'], value: 'auto', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: '', description: 'Enable dhclient support')
option('dhcpcanon', type: 'string', value: '', description: 'Enable dhcpcanon support (experimental)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal', 'nettools'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('firewalld_zone', type: 'boolean', value: true, description: 'Install and use firewalld zone for shared mode')
option('more_asserts', type: 'string', value: 'auto', description: 'Enable more assertions for debugging (0 = no, 100 = all, default: auto)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('crypto', type: 'combo', choices: ['nss', 'gnutls', 'null'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'boolean', value: true, description: 'enable Qt examples')
option('readline', type: 'combo', choices: ['auto', 'libreadline', 'libedit', 'none'], description: 'Using readline (auto) or libedit)')

=== debian/changelog ===
network-manager (1.42.4-1ubuntu2) lunar; urgency=medium

  * d/t/nm.py: Fix autopkgtests with NM-1.42's 'lo' connection (LP: #2009543)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 28 Mar 2023 15:13:56 +0200

network-manager (1.42.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 21:31:09 +0100

network-manager (1.42.4-1) unstable; urgency=medium

  * New upstream version 1.42.4
  * Rebase patches
  * Use execute_before instead of override for dh_install

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2023 19:42:33 +0100

network-manager (1.42.2-2) unstable; urgency=medium

  * dnsmasq: process both global and per-device configuration.
    Cherry-pick upstream patch to fix a regression introduced in 1.42 when
    using the dnsmasq DNS backend and a global DNS configuration.
    (Closes: #1031891)

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Mar 2023 17:57:30 +0100

network-manager (1.42.2-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:14:55 -0500

network-manager (1.42.2-1) unstable; urgency=medium

  * New upstream version 1.42.2
  * Drop patches merged upstream
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Feb 2023 17:53:42 +0100

network-manager (1.42.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:06:44 -0500

network-manager (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Rebase patches
  * Update symbols file for libnm0
  * Cherry-pick upstream patch to fix regression in gtk-doc generation

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Feb 2023 17:38:16 +0100

network-manager (1.40.12-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:


=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               automake (>= 1.12),
               pkg-config,
               gettext (>= 0.19.8),
               libglib2.0-dev (>= 2.40),
               ppp-dev,
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd,
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev,
               gobject-introspection,
               python3-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev (>= 2.7),
               libbluetooth-dev (>= 5),
               valac,
               policykit-1,
               dbus <!nocheck>,
               python3-dbus <!nocheck>,
               python3-pexpect <!nocheck>,
               iproute2 <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Vcs-Git: https://git.launchpad.net/network-manager
Vcs-Browser: https://git.launchpad.net/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         isc-dhcp-client,
         default-dbus-system-bus | dbus-system-bus,
         udev,
         adduser,
         polkitd | policykit-1
Recommends: ppp,
            dnsmasq-base,
            modemmanager,
            network-manager-pptp,
            wireless-regdb,
            wpasupplicant,
            libpam-systemd,
Suggests: avahi-autoipd,
          libteam-utils,
          iptables,
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

Package: network-manager-config-connectivity-ubuntu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to an Ubuntu server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Ubuntu connectivity check servers reveals that the user is running an
 Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   BUILD_PACKAGES += -Nnetwork-manager
endif

# Disable lto here regardless of whether we enable the configure flag
# https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

export PYTHON=/usr/bin/python3

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with ppp $(BUILD_PACKAGES)

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--runstatedir=/run \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-nft=/usr/sbin/nft \
		--with-iptables=/usr/sbin/iptables \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
		--with-crypto=gnutls \
		--with-session-tracking=systemd \
		--with-suspend-resume=systemd \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--with-selinux \
		--with-tests \
		--with-libaudit \
		--with-iwd \
		--without-dhcpcanon \
		--without-nm-cloud-setup \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-json-validation \
		--enable-bluez5-dun \
		--enable-vala \
		--enable-lto \
		--disable-more-warnings \
		--disable-modify-system \
		--disable-ovs

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
	dh_install

override_dh_installinit:
	dh_installinit --noscripts

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_installsystemd:
	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

## network-manager 1.44.0

=== debian/changelog ===
network-manager (1.44.0-1ubuntu2) mantic; urgency=medium

  * d/t/{nm.py,nm_netplan.py,network_test_base.py} (LP: #2033391):
    - Wait until NM is ready before starting tests
    - Add a delay loop checking if NM is already on-line before running each
      test.
  * d/t/nm.py: remove expectedFailure from both tests in Hotplug.
    - It's not clear why they were expected to fail. With NM 1.44.0 they are passing.
    - As this class states that the APs are set up with NM already running, in
      test_auto_detect_ap() self.start_nm() was moved to run before
      self.setup_ap() and the assert was fixed to get the actual gobject data.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 30 Aug 2023 10:09:50 +0100

network-manager (1.44.0-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version
    - Patches refreshed
  * Remove erroneous symbol added in 1.42.8-1

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 15:40:38 +0200

network-manager (1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Explicitly set the modprobe path during configure
  * Update symbols file for libnm0
  * Rebase patches
  * Remove obsolete maintscript code

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Aug 2023 22:22:22 +0200

network-manager (1.42.8-1ubuntu1) UNRELEASED; urgency=medium

  * Resynchronize on Debian to the current stable version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 09 Aug 2023 16:08:26 +0200

network-manager (1.42.8-1) unstable; urgency=medium

  * New upstream version 1.42.8

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jun 2023 15:22:30 +0200

network-manager (1.42.6-2ubuntu2) mantic; urgency=medium

  * Remove isc-dhcp-client from Depends
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 18 Jul 2023 10:51:11 +0200

network-manager (1.42.6-2ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 12:26:23 +0200

network-manager (1.42.6-2) unstable; urgency=medium

  * Stop installing deprecated polkit pkla file.
    The pkla backend has been superseded by the JS based backend.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Jun 2023 23:08:24 +0200

network-manager (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6
  * Rebase patches
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its.
    The obsolete policykit-1 package is going away. (Closes: #1025606)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jun 2023 14:48:14 +0200

network-manager (1.42.4-1ubuntu7) mantic; urgency=medium

  [ Michael Biebl ]
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its
    (Closes: #1025606)

  [ Danilo Egea Gondolfo ]
  * d/t/control: Add easy-rsa as a test dependency
  * d/t/nm.py: generalize Wifi auth configuration.
    The idea is to make is easier to implement tests using different
    authentication methods.
  * d/t/nm.py: implement WPA-EAP 802.1x tests.
    These tests are related to an issue in Netplan but they are also useful
    for network-manager itself. See LP#2016625
  * d/t/nm_netplan.py: add new test cases for ip-tunnel and wireguard
    connections, using Netplan integration. See LP#2016473

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Jun 2023 12:07:12 +0200

network-manager (1.42.4-1ubuntu5) mantic; urgency=medium

  * d/network-manager.postinst: fix netplan migration logic.
    The "continue" is being executed in a subshell so it's not skipping the
    next commands. It will fail if Network Manager is not running. See LP: #2022023
  * d/network-manager.preinst: use /var/lib/NetworkManager for backups
    /root is not a system directory so we shouldn't use it. It might not
    even exist or the package manager might run in a sandbox and not have
    access to it. See LP: #2021937

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 01 Jun 2023 15:17:57 +0100

network-manager (1.42.4-1ubuntu4) mantic; urgency=medium

  * d/t/nm_netplan.py:openvpn: set a metric for the extra default route.
    With a higher metric the route shouldn't be selected over the main one.
    Also, use the same subnet already used by the nm.py tests.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 25 May 2023 11:00:31 +0100

network-manager (1.42.4-1ubuntu3) mantic; urgency=medium

  * Upload netplan integration to the Ubuntu archive, details available on
    https://discourse.ubuntu.com/t/call-for-testing-networkmanager-yaml-settings

  [ Lukas Märdian ]
  * d/{control,rules,patches}: Prepare libnetplan build (non i386)
  * debian/patches/netplan: Add libnetplan backend integration patch
  * d/network-manager.preinst: backup previous configuration automatically
  * d/network-manager.postinst: Trigger Netplan migration on install/upgrade

  [ Danilo Egea Gondolfo ]
  * d/t/nm.py: Fix autopkgtests when Netplan is in use
  * d/t/nm_netplan.py: Add autopkgtests for the netplan integration

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 May 2023 13:30:31 +0200

## network-manager 1.44.2

=== debian/changelog ===
network-manager (1.44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038439)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 09:40:22 -0400

network-manager (1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2023 12:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -33,11 +33,15 @@
                libjansson-dev (>= 2.7),
                libbluetooth-dev (>= 5),
                valac,
-               policykit-1,
+               polkitd,
+               libpolkit-gobject-1-dev,
                dbus <!nocheck>,
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
+               libyaml-dev [!i386],
+               libnetplan-dev (>= 0.106~) [!i386],
+               netplan.io (>= 0.106~) [!i386] <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -51,8 +55,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         netplan.io (>= 0.106~) [!i386],
          libnm0 (= ${binary:Version}),
-         isc-dhcp-client,
          default-dbus-system-bus | dbus-system-bus,
          udev,
          adduser,

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm.py
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant, easy-rsa
Restrictions: needs-root isolation-machine skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm_netplan.py
Depends: python3, gir1.2-nm-1.0, network-manager, netplan.io, openvpn, easy-rsa, network-manager-openvpn
Restrictions: needs-root allow-stderr isolation-container

## network-manager 1.46.0

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 option('iptables', type: 'string', value: '', description: 'path to iptables')
 option('nft', type: 'string', value: '', description: 'path to nft')
 option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
+option('modprobe', type: 'string', value: '', description: 'path to modprobe')
 
 # platform
 option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
@@ -39,14 +40,15 @@
 option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
 option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
 option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
-option('nm_cloud_setup', type: 'boolean', value: false, description: 'Build nm-cloud-setup, a tool for automatically configure networking in cloud (EXPERIMENTAL!)')
+option('nm_cloud_setup', type: 'boolean', value: true, description: 'Build nm-cloud-setup, a tool for automatically configuring networking in cloud')
 option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
 option('ebpf', type: 'combo', choices: ['auto', 'true', 'false'], description: 'Enable eBPF support')
 
 # configuration plugins
 option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
-option('ifcfg_rh', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
+option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL) (deprecated)')
 option('ifupdown', type: 'combo', choices:['auto', 'true', 'false'], value: 'auto', description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')
+option('config_migrate_ifcfg_rh_default', type: 'boolean', value: false, description: 'The default value of the main.migrate-ifcfg-rh configuration option')
 
 # handlers for resolv.conf
 option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.4) noble; urgency=medium

  * d/p/lp2127925-fix-autoreconnect-blocker.patch: unblock autoreconnect when a previously failed
    connection is now successful (LP: #2127925)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Thu, 16 Oct 2025 09:23:45 +0200

network-manager (1.46.0-1ubuntu2.3) noble; urgency=medium

  * fix nmcli that could not report 6ghz wifi channels correctly (LP: #2116940)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 15 Jul 2025 13:38:55 +0200

network-manager (1.46.0-1ubuntu2.2) noble; urgency=medium

  * d/control: Avoid calling into half-upgraded Netplan (LP: #2033259)
    NM calls 'netplan generate', which will crash if new libnetplan1 is already
    installed, but we're calling the old netplan.io Python code expecting the
    old libnetplan0 API.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 23 Oct 2024 13:04:42 +0200

network-manager (1.46.0-1ubuntu2.1) noble; urgency=medium

  * d/p/wifi-fix-the-ranges-of-5-GHz-and-6-GHz-bands.patch
    d/p/wifi-fix-enumeration-of-6-GHz-channels-from-wiphy.patch
    - Fix detection of 6 GHz band capability for WiFi devices (LP: #2084731)

 -- Dirk Su <dirk.su@canonical.com>  Wed, 16 Oct 2024 17:16:59 +0800

network-manager (1.46.0-1ubuntu2) noble; urgency=medium

  * debian/tests/control: add Depends: python3-gi for nm_netplan.py
    (LP: #2060221)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 04 Apr 2024 15:11:48 -0400

network-manager (1.46.0-1ubuntu1) noble; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 11:39:10 +0200

network-manager (1.46.0-1) unstable; urgency=medium

  * New upstream version 1.46.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Feb 2024 17:35:02 +0100

network-manager (1.45.91-1) experimental; urgency=medium

  * New upstream version 1.45.91 (1.46 rc2)
  * Rebase patches
  * Update symbols file for libnm0
  * Switch Build-Depends on obsolete pkg-config to pkgconf

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Feb 2024 22:39:30 +0100

network-manager (1.45.90-1ubuntu1) noble; urgency=medium

  * Merge with Debian.
  * debian/patches/git_valid_gkeyfile.patch:
    - cherrypick an upstream change to fix a test issue with glib 2.79

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Feb 2024 16:17:33 +0100

network-manager (1.45.90-1) experimental; urgency=medium

  * New upstream version 1.45.90 (1.46 rc1)
  * Bump Build-Depends on libglib2.0-dev to (>= 2.42)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jan 2024 10:32:43 +0100

network-manager (1.44.2-7ubuntu2) noble; urgency=medium

  * debian/tests: Clearly mark regular expressions, to avoid SyntaxWarning.
    This fixes autopkgtests on Python3.12, failing due to stderr output.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 12 Feb 2024 15:08:34 +0100

network-manager (1.44.2-7ubuntu1) noble; urgency=medium

  * Merge with Debian.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 09:08:35 -0500

network-manager (1.44.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is currently a virtual package provided by gir1.2-glib-2.0, but it
    will need to be split into a separate package during the
    GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository 2.0
    to GIRepository 3.0, which again is likely to happen during the GNOME 46
    cycle. (Closes: #1059623)

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Dec 2023 19:38:14 +0100

network-manager (1.44.2-6) unstable; urgency=medium

  * Revert "Add versioned Breaks against isc-dhcp-client"
    Having a Breaks against isc-dhcp-client can lead to unwanted package
    removals by apt. As the default dhcp backend in network-manager has been
    switched from dhclient to internal, the Breaks is not strictly necessary.
    Users that have explicitly configured "dhcp=dhclient" are advised to
    switch to the internal option (recommended) or temporarily disable the
    sbin.dhclient AppArmor profile shipped by isc-dhcp-client until #1055067
    is fixed. (Closes: #1056638)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 07:45:49 +0100

network-manager (1.44.2-5) unstable; urgency=medium

  * Replace systemd Build-Depends with systemd-dev.
    Only systemd.pc is required during build which is now shipped in
    systemd-dev.
  * Add versioned Breaks against isc-dhcp-client.
    The AppArmor policy in isc-dhcp-client needs to be updated to account
    for the move of the nm-dhcp-helper binary to /usr/libexec.
    (Closes: #1056313)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:02:41 +0100

network-manager (1.44.2-4) unstable; urgency=medium

  * Fix typo in latest NEWS entry
  * Ship /etc/NetworkManager/VPN directory in network-manager package.
    This will make an eventual cleanup easier once all VPN plugin packages
    have moved their .name files to /usr/lib/NetworkManager/VPN.
  * core: propagate the user-requested reason for act-request disconnection.
    This avoids that deactivating a Wireguard VPN connection triggers an
    error notification.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Nov 2023 20:57:16 +0100

network-manager (1.44.2-3) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.
  * Install helper binaries into /usr/libexec (Closes: #1026388)

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Oct 2023 16:35:24 +0200

network-manager (1.44.2-2) unstable; urgency=medium

  * Stop executing ifupdown hook scripts on network state changes.


=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                dh-sequence-gir,
                automake (>= 1.12),
-               pkg-config,
+               pkgconf,
                gettext (>= 0.19.8),
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.42),
                ppp-dev,
                libselinux1-dev,
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               systemd,
+               systemd-dev,
                libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                libgirepository1.0-dev,
+               gir1.2-girepository-2.0,
                gobject-introspection,
                python3-gi,
                libpsl-dev (>= 0.1),
@@ -40,8 +42,8 @@
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
                libyaml-dev [!i386],
-               libnetplan-dev (>= 0.106~) [!i386],
-               netplan.io (>= 0.106~) [!i386] <!nocheck>,
+               libnetplan-dev (>= 1.0~) [!i386],
+               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -55,7 +57,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 0.106~) [!i386],
+         netplan.io (>= 1.0~) [!i386],
+         python3-netplan (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,

=== debian/watch ===
version=4
https://download.gnome.org/sources/NetworkManager/([\d\.]+[02468])/NetworkManager-@ANY_VERSION@\.tar\.xz

## network-manager 1.46.0-1ubuntu2.2trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.2trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Dec 2024 17:45:09 +0000

## network-manager 1.46.0-1ubuntu2.3trisquel4

=== meson_options.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
 option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
 option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
 option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
+option('netplan', type: 'boolean', value: true, description: 'Enable Netplan integration')
 option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
 option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
 option('nm_cloud_setup', type: 'boolean', value: true, description: 'Build nm-cloud-setup, a tool for automatically configuring networking in cloud')

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.3trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 30 Sep 2025 18:49:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    BUILD_PACKAGES += -Nnetwork-manager
+   NETPLAN += --disable-netplan
 endif
 
 # Disable lto here regardless of whether we enable the configure flag
@@ -22,7 +23,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/NetworkManager \
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
@@ -31,9 +31,10 @@
 		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
+		--with-modprobe=/sbin/modprobe \
 		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
-		--with-systemdsystemunitdir=/lib/systemd/system \
-		--with-udev-dir=/lib/udev \
+		--with-systemdsystemunitdir=/usr/lib/systemd/system \
+		--with-udev-dir=/usr/lib/udev \
 		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
 		--with-crypto=gnutls \
 		--with-session-tracking=systemd \
@@ -61,7 +62,7 @@
 		--enable-lto \
 		--disable-more-warnings \
 		--disable-modify-system \
-		--disable-ovs
+		--disable-ovs $(NETPLAN)
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete

## network-manager 1.46.0-1ubuntu2.4trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.4trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Nov 2025 12:51:11 +0000

## network-manager 1.46.0-1ubuntu2.5trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.5trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Jan 2026 00:51:57 +0000

network-manager (1.46.0-1ubuntu2.5) noble; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500
